/// <reference types="node" />
import { Transform, TransformCallback, Writable } from 'stream';
export declare function processEmlxs(inputDir: string, outputDir: string, ignoreErrors?: boolean): Promise<void>;
/**
 * Process a single .emlx or .partial.emlx file.
 *
 * @param emlxFile Path to the file.
 * @param resultStream The stream to which to write the result.
 * @param ignoreErrors `true` to suppress throwing errors
 * (e.g. when attachment is missing). In this case, the
 * result array will contain a list of errors.
 * @returns List of error messages (when `ignoreErrors` was enabled)
 */
export declare function processEmlx(emlxFile: string, resultStream: Writable, ignoreErrors?: boolean): Promise<string[]>;
export declare class SkipEmlxTransform extends Transform {
    private bytesToRead;
    private bytesRead;
    _transform(chunk: Buffer, _encoding: string, callback: TransformCallback): void;
}
export declare function processCli(): void;
